Arduino

Reference Language | Libraries | Comparison | Changes

SD : File class

## peek()

Read a byte from the file without advancing to the next one. That is, successive calls to peek() will return the same value, as will the next call to read().

peek() inherits from the Stream utility class.

#### Syntax

file.peek()

#### Parameters

file: an instance of the File class (returned by SD.open())

#### Returns

The next byte (or character), or -1 if none is available.

#### See Also

- available()
- read()
- write()
- Stream.peek()
  Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes